/*
    Copyright 2005-2008 Intel Corporation.  All Rights Reserved.

    This file is part of Threading Building Blocks.

    Threading Building Blocks is free software; you can redistribute it
    and/or modify it under the terms of the GNU General Public License
    version 2 as published by the Free Software Foundation.

    Threading Building Blocks is distributed in the hope that it will be
    useful, but WITHOUT ANY WARRANTY; without even the implied warranty
    of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Threading Building Blocks; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

    As a special exception, you may use this file as part of a free software
    library without restriction.  Specifically, if other files instantiate
    templates or use macros or inline functions from this file, or you compile
    this file and link it with other files to produce an executable, this
    file does not by itself cause the resulting executable to be covered by
    the GNU General Public License.  This exception does not however
    invalidate any other reasons why the executable file might be covered by
    the GNU General Public License.
*/

/* This file contains the TBB task scheduler. There are many classes
   lumped together here because very few are exposed to the outside
   world, and by putting them in a single translation unit, the
   compiler's optimizer might be able to do a better job. */


#define __TBB_COMPATIBILITY_COMPILATION 1
#include "tbb/task_scheduler_init.h"
#include "task_scheduler_init_v2.h"

namespace tbb {

//------------------------------------------------------------------------
// task_scheduler_init
//------------------------------------------------------------------------
    
    void task_scheduler_init::initialize( int number_of_threads ) {   
        (reinterpret_cast<internal::task_scheduler_init_v3*>(this))->initialize( number_of_threads );
    }

    void task_scheduler_init::terminate() {
        (reinterpret_cast<internal::task_scheduler_init_v3*>(this))->terminate();

    }

} // namespace tbb
